Subject: Closing #83: OPTIONS * and proxies

From: Mark Nottingham <[email-masked]>
Date: Mon, 6 Apr 2009 20:11:33 +1000

The editors believe that issue #83 has been addressed in the -06 drafts.

Specifically, the following text has been re-introduced into p1;

> If a proxy receives a request without any path in the Request-URI  
> and the method specified is capable of supporting the asterisk form  
> of request, then the last proxy on the request chain MUST forward  
> the request with "*" as the final Request-URI. For example, the  
> request OPTIONS http://www.ics.uci.edu:8001 HTTP/1.1 would be  
> forwarded by the proxy as OPTIONS * HTTP/1.1 Host: www.ics.uci.edu:8001 
>  after connecting to port 8001 of host "www.ics.uci.edu".

--
Mark Nottingham     http://www.mnot.net/